Package org.apache.sysds.runtime.controlprogram.federated

## Class FederatedStatistics.FedStatsCollection

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.federated.FederatedStatistics.FedStatsCollection

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  FederatedStatistics

    public static class FederatedStatistics.FedStatsCollection
    extends Object
    implements Serializable

See Also:
  Serialized Form

### Field Summary

Fields
`List<org.apache.commons.lang3.tuple.Triple<LocalDateTime,​String,​Long>>` `coordinatorsTrafficBytes`
`double` `cpuUsage`
`HashMap<String,​org.apache.commons.lang3.tuple.Pair<Long,​Double>>` `heavyHitters`
`double` `jitCompileTime`
`double` `memoryUsage`

### Constructor Summary

Constructors
`FedStatsCollection()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `aggregate​(FederatedStatistics.FedStatsCollection that)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### jitCompileTime

    public double jitCompileTime

#### cpuUsage

    public double cpuUsage

#### memoryUsage

    public double memoryUsage

#### heavyHitters

    public HashMap<String,​org.apache.commons.lang3.tuple.Pair<Long,​Double>> heavyHitters

#### coordinatorsTrafficBytes

    public List<org.apache.commons.lang3.tuple.Triple<LocalDateTime,​String,​Long>> coordinatorsTrafficBytes

### Constructor Detail

#### FedStatsCollection

    public FedStatsCollection()

### Method Detail

#### aggregate

    public void aggregate​(FederatedStatistics.FedStatsCollection that)